lm.component('lmApp', {
	templateUrl: 'comp/lmApp.' + lmCacheTag + 'html',
	bindings: { },
	$routeConfig: [
	               {path: '/home', name: 'Home', component: 'pageHome', useAsDefault: true},
	               {path: '/login', name: 'Login', component: 'pageLogin' },
	               {path: '/bookmarks', name: 'Bookmarks', component: 'pageBookmark' },
	               {path: '/notes', name: 'Notes', component: 'pageNote' },
	               {path: '/todos', name: 'Todos', component: 'pageTodo' },
	               {path: '/iot', name: 'IoT', component: 'pageIot' },
	               {path: '/files', name: 'Files', component: 'pageFiles' },
	               {path: '/files/:id', name: 'FilesAndMedia', component: 'pageFiles' },
	               {path: '/settingsUser', name: 'SettingsUser', component: 'pageSetUser' },
	               {path: '/settingsUserStats', name: 'SettingsUserStats', component: 'pageSetStats' },
	               {path: '/settingsJobs', name: 'SettingsJobs', component: 'pageSetJobs' },
	               {path: '/systemLogs', name: 'SystemLogs', component: 'pageSysLogs' },
	               {path: '/systemStats', name: 'SystemStats', component: 'pageSysStats' },
	               {path: '/systemSystem', name: 'SystemSystem', component: 'pageSysSystem' },
	               {path: '/systemCertificate', name: 'SystemCertificate', component: 'pageSysCertificate' },
	               {path: '/systemRrd', name: 'SystemRrd', component: 'pageSysRrd' },
	               {path: '/systemConsole', name: 'SystemConsole', component: 'pageSysConsole' },
	               {path: '/systemUserManager', name: 'SystemUserManager', component: 'pageSysUserMgmt' },
	               {path: '/systemFileMedia', name: 'SystemFileMedia', component: 'pageSysFileMedia' },
	               {path: '/link/:token', name: 'Link', component: 'pageLink' },
	               {path: '/link/:token/:resType/:resId', name: 'Link', component: 'pageLink' },
	               {path: '/app/editor/:fileId', name: 'AppEditor', component: 'pageAppEditor' },
	               {path: '/app/pdf/:fileId', name: 'AppPdf', component: 'pageAppPdf' },
	               {path: '/app/map/file/:fileId', name: 'AppMapFile', component: 'pageAppMap' },
	               {path: '/app/map/folder/:folderId', name: 'AppMapFolder', component: 'pageAppMap' },
	               {path: '/test', name: 'Test', component: 'pageTest' }
	],
	controller: function($scope, serviceSidebar) {
		var ctrl = this;
		ctrl.stateSidebar = serviceSidebar.state;
	}

});